OPENSSL-CRL(1ssl)

NOM
openssl-crl – Commande CRL

SYNOPSIS
openssl crl [-help] [-inform DER|PEM] [-outform DER|PEM] [-key fichier] [-keyform DER|PEM|P12] [-dateopt] [-text] [-in fichier] [-out fichier] [-gendelta fichier] [-badsig] [-verify] [-noout] [-hash] [-hash_old] [-fingerprint] [-crlnumber] [-issuer] [-lastupdate] [-nextupdate] [-nameopt option] [-CAfile fichier] [-no-CAfile] [-CApath répertoire] [-no-CApath] [-CAstore uri] [-no-CAstore] [-provider nom] [-provider-path chemin] [-provparam [nom:]clé=valeur] [-propquery propq]

DESCRIPTION
Cette commande traite les fichiers de CRL au format DER ou PEM.

OPTIONS

-help
    Afficher un message d'utilisation.

-inform DER|PEM
    Le format d'entrée de la CRL ; non spécifié par défaut. Voir openssl-format-options(1) pour des détails.

-outform DER|PEM
    Le format de sortie d'une CRL ; PEM par défaut. Voir openssl-format-options(1) pour des détails.

-key fichier
    La clé privée à utiliser pour signer la CRL.

-keyform DER|PEM|P12
    Le format du fichier de la clé privée ; non spécifiée par défaut. Voir openssl-format-options(1) pour des détails.

-in fichier
    Cette option permet d’indiquer le fichier d'entrée à lire , ou l'entrée standard si cette option n'est pas spécifiée.

-out filename
    Cette option permet d’indiquer le fichier de sortie à écrire ou, par défaut, la sortie standard.

-gendelta fichier
    Afficher une comparaison entre la CRL principale et celle qui est indiquée ici.

-badsig
    Corrompre la signature avant de l'écrire ; cela peut être utile pour un test.

-dateopt
    Spécifier le format de sortie de la date. Les valeurs possibles sont : rfc_822 et iso_8601. La valeur par défaut est rfc_822.

-text
    Afficher la CRL sous forme de texte.

-verify
    Vérifier la signature dans la CRL. Si la vérification échoue, le programme terminera immédiatement, c'est-à-dire que le traitement d'options supplémentaires (par exemple -gendelta) sera ignoré.

    Cette option est activée implicitement si une des options -CApath, -CAfile ou -CAstore est spécifiée.

-noout
    Ne pas produire la version encodée de la CRL.

-fingerprint
    Afficher l'empreinte de la CRL.

-crlnumber
    Afficher le numéro de la CRL.

-hash
    Afficher un hachage du nom de l'émetteur. Cela peut servir à chercher des CRL dans un répertoire en fonction de l'émetteur.

-hash_old
    Afficher le « hachage » du nom de l’émetteur de la CRL en utilisant l’ancien algorithme tel qu’utilisé par les versions d’OpenSSL antérieures à 1.0.0.

-issuer
    Afficher le nom de l'émetteur.

-lastupdate
    Afficher le champ lastUpdate indiquant la dernière mise à jour.

-nextupdate
    Afficher le champ nextUpdate indiquant la prochaine mise à jour.

-nameopt option
    Cette option permet de spécifier comment le sujet ou les noms d’émetteur sont affichés. Voir openssl-namedisplay-options(1) pour des détails.

-CAfile fichier, -no-CAfile, -CApath répertoire, -no-CApath, -CAstore uri, -no-CAstore
    Consulter « Options de certificat de confiance » dans openssl-verification-options(1) pour des détails.

-provider nom
-provider-path chemin
-provparam [nom:]clé=valeur]
-propquery propq
    Voir « Options de fournisseur » dans openssl(1), provider(7) et property(7).

EXEMPLES
Convertir un fichier de CRL de PEM vers DER :

 openssl crl -in crl.pem -outform DER -out crl.der

Afficher sous forme de texte un certificat encodé DER :

 openssl crl -in crl.der -text -noout

BOGUES
Idéalement, il devrait être aussi possible de créer une CRL en utilisant des options et fichiers appropriés.

VOIR AUSSI
openssl(1), openssl-crl2pkcs7(1), openssl-ca(1), openssl-x509(1), ossl_store-file(7)

HISTORIQUE
Depuis OpenSSL 3.3, l'option verify renvoie 1 en cas d'échec.

COPYRIGHT
Copyright 2000-2024 Les auteurs du projet OpenSSL. Tous droits réservés.

Sous licence Apache 2.0 (la « Licence »). Vous ne pouvez utiliser ce fichier que conformément à la Licence. Vous trouverez une copie dans le fichier LICENSE de la distribution du source ou à l'adresse <https://www.openssl.org/source/license.html>.

TRADUCTION
La traduction française de cette page de manuel a été créée par arne, Eltrai, stolck, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org>, Thomas Blein <tblein@tblein.eu> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.